Skip to main content
PUT
Connect a credential

Authorizations

Authorization
string
header
required

The access token received from the authorization server in the OAuth 2.0 flow.

Path Parameters

artifact_id
string<uuid>
required

The MCP server artifact's ID.

Body

application/json

Connect a credential. The value is never returned.

value
string
required
Required string length: 1 - 16384
kind
enum<string>
default:bearer
Available options:
api_key,
bearer,
oauth
header_name
string
default:Authorization
Maximum string length: 64
refresh_value
string | null
Maximum string length: 16384
token_url
string | null
Maximum string length: 2048
client_id
string | null
Maximum string length: 256
expires_at
string<date-time> | null

Response

Successful Response

Whether a credential is connected. Never its value.

connected
boolean
required
kind
string | null
header_name
string | null
expires_at
string<date-time> | null
expiring
boolean
default:false
expired
boolean
default:false
updated_at
string<date-time> | null
can_refresh
boolean
default:false